/dialin/pinlessCallUpdate
curl --request POST \
--url https://api.daily.co/v1/dialin/pinlessCallUpdate \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"callId": "<string>",
"callDomain": "<string>",
"sipUri": "<string>"
}
'import requests
url = "https://api.daily.co/v1/dialin/pinlessCallUpdate"
payload = {
"callId": "<string>",
"callDomain": "<string>",
"sipUri": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({callId: '<string>', callDomain: '<string>', sipUri: '<string>'})
};
fetch('https://api.daily.co/v1/dialin/pinlessCallUpdate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"ok": "true"
}{
"error": "invalid-request-error",
"info": "missing required field"
}Dial-In
Pinless Call Update
Direct a SIP or PSTN call on hold to a specified SIP URI associated to a Daily Room.
POST
/
dialin
/
pinlessCallUpdate
/dialin/pinlessCallUpdate
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
CallId is represented by UUID and represents the sessionId in the SIP Network. This is obtained from the webhook payload.
Call Domain is represented by UUID and represents your Daily Domain on the SIP Network. This is obtained from the webhook payload.
This SIP URI is associated to the Daily Room that you want to forward the SIP Interconnect call to.
Response
200
⌘I